from flask import Flask, render_template
from webservice import api, file_io
import os


app = Flask(__name__, template_folder='static')
app.register_blueprint(api.bp, url_prefix='/api')
app.register_blueprint(file_io.bp)


@app.route('/')
@app.route('/static/login')
@app.route('/static/select')
def home():
    return render_template('index.html')


@app.route('/static/planner/<year>/<version>/<timestamp>')
def planner(year, version, timestamp):
    return render_template('index.html')



if __name__ == '__main__':
    app.secret_key = os.urandom(24)
    app.run(host='0.0.0.0', port='8084', debug=True)
